Index: code/branches/newlevel2012/data/levels/includes/towerWeaponSettings.oxi
===================================================================
--- code/branches/newlevel2012/data/levels/includes/towerWeaponSettings.oxi	(revision 9161)
+++ code/branches/newlevel2012/data/levels/includes/towerWeaponSettings.oxi	(revision 9161)
@@ -0,0 +1,55 @@
+     <weaponslots>
+      <WeaponSlot position="-15.0,-1.5,0" />
+      <!--WeaponSlot position=" 15.0,-1.5,0" /-->
+      <!--WeaponSlot position="    0,   0,0" /-->
+    </weaponslots>
+    <weaponsets>
+      <WeaponSet firemode=0 />
+      <WeaponSet firemode=1 />
+      <WeaponSet firemode=2 />
+      <WeaponSet firemode=3 />
+    </weaponsets>
+    <weapons>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=0 weaponmode=0 />
+          <DefaultWeaponmodeLink firemode=1 weaponmode=1 />
+          <DefaultWeaponmodeLink firemode=2 weaponmode=2 />
+          <DefaultWeaponmodeLink firemode=3 weaponmode=3 />
+        </links>
+        <Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
+        </Weapon>
+        
+        <!--Weapon>
+          <attached>
+            <Model mesh="LightningGun.mesh" pitch="103" roll="90" yaw="90" position="0,-1.35,0" />
+            <Model mesh="LightningGun-s.mesh" pitch="103" roll="90" yaw="90" position="0.2,-1.35,0" />
+            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-104" yaw="-90" position="0,1.3,0.3" scale=0.6 />
+          </attached>
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 1.6, 1.3, -2.0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.1, 1.6, -2.0" />
+          <LightningGun mode=1 muzzleoffset="0,0,0" damage=23 />
+        </Weapon-->
+        <!--Weapon>
+          <SimpleRocketFire mode=2 muzzleoffset="0,0,0" damage=30 shielddamage=20 />
+          <RocketFire mode=3 muzzleoffset="0,0,0" damage=30 healthdamage=50 shielddamage=20 />
+        </Weapon-->
+        
+      </WeaponPack>
+      <WeaponPack>
+        <links>
+          <DefaultWeaponmodeLink firemode=1 weaponmode=0 />
+        </links>
+        <!--Weapon>
+          <EnergyDrink mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare"muzzleoffset="2,-0.2,-1" />
+        </Weapon-->
+      </WeaponPack>
+    </weapons>
Index: code/branches/newlevel2012/data/levels/templates/tower.oxt
===================================================================
--- code/branches/newlevel2012/data/levels/templates/tower.oxt	(revision 9161)
+++ code/branches/newlevel2012/data/levels/templates/tower.oxt	(revision 9161)
@@ -0,0 +1,48 @@
+<Template name=tower>
+  <SpaceShip
+
+   spawnparticlesource    = "Orxonox/fairytwirl"
+   spawnparticleduration  = 3
+   explosionchunks        = 6
+
+   health            = 100
+   maxhealth         = 200
+   initialhealth     = 100
+
+   shieldhealth        = 30
+   initialshieldhealth = 30
+   maxshieldhealth     = 50
+   shieldabsorption    = 0.8
+   reloadrate          = 1
+   reloadwaittime      = 1
+
+   lift = 1;
+   stallSpeed = 220;
+
+   collisionType     = "dynamic"
+   mass              = 100
+   linearDamping     = 0.7
+   angularDamping    = 0.9999999
+  >
+
+     <controller>
+        <WaypointPatrolController alertnessradius=10000 team=5>
+       
+        </WaypointPatrolController>
+      </controller>
+
+
+    <!--attached>
+      <Model position="0,0,0" scale=25 mesh="Tower_ME.mesh" />
+    </attached-->
+
+    <!--collisionShapes>
+    
+    </collisionShapes-->
+
+<?lua
+  include("../includes/towerWeaponSettings.oxi")
+?>
+  </SpaceShip>
+</Template>
+
Index: code/branches/newlevel2012/data/levels/towerDefense.oxw
===================================================================
--- code/branches/newlevel2012/data/levels/towerDefense.oxw	(revision 9160)
+++ code/branches/newlevel2012/data/levels/towerDefense.oxw	(revision 9161)
@@ -19,4 +19,5 @@
   include("templates/spaceshipAssff.oxt")
   include("templates/spaceshipPirate.oxt")
+  include("templates/tower.oxt")
 ?>
 
@@ -41,11 +42,11 @@
 
 <!-- Template for a tower -->
-<Template name=towertemplate>
+<!--Template name=towertemplate>
   <Tower>
     <attached>
-      <Model position="0,0,0" scale=2.5 mesh="Tower_ME.mesh" />
+      <Model position="0,0,0" scale=0.25 mesh="Tower_ME.mesh" />
     </attached>
   </Tower>
-</Template>
+</Template-->
 
 <Level gametype = "TowerDefense">
@@ -87,5 +88,4 @@
     </SpaceShip>
     
-
 	<!-- PlayField -->
 	<TowerDefenseCenterpoint 
@@ -94,5 +94,5 @@
 	height=16
 	tileScale=100
-	towerTemplate=towertemplate 
+	towerTemplate=tower
 	position="0,0,0" 
 	direction="0,0,0" 
Index: code/branches/newlevel2012/src/modules/towerdefense/Tower.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/Tower.cc	(revision 9160)
+++ code/branches/newlevel2012/src/modules/towerdefense/Tower.cc	(revision 9161)
@@ -52,5 +52,5 @@
     void Tower::moveFrontBack(const Vector2& value)
     {
-        orxout() << "frontBack.x: " << value.x << endl;
+        //orxout() << "frontBack.x: " << value.x << endl;
     }
 	
@@ -63,5 +63,5 @@
     void Tower::moveRightLeft(const Vector2& value)
     {
-		orxout() << "rightLeft.x: " << value.x << endl;
+		//orxout() << "rightLeft.x: " << value.x << endl;
 		/*
         if(!this->delay_)
Index: code/branches/newlevel2012/src/orxonox/controllers/WaypointController.cc
===================================================================
--- code/branches/newlevel2012/src/orxonox/controllers/WaypointController.cc	(revision 9160)
+++ code/branches/newlevel2012/src/orxonox/controllers/WaypointController.cc	(revision 9161)
@@ -65,15 +65,12 @@
             return;
 
-//		orxout() << "(" << this->waypoints_.size() << ") entity: " << this->getControllableEntity() << endl;
 
         if (this->waypoints_.size() == 0 || !this->getControllableEntity())
             return;
 
-//		printf("3");
 
         if (this->waypoints_[this->currentWaypoint_]->getWorldPosition().squaredDistance(this->getControllableEntity()->getPosition()) <= this->squaredaccuracy_)
             this->currentWaypoint_ = (this->currentWaypoint_ + 1) % this->waypoints_.size();
 
-//		printf("4");
 
         this->moveToPosition(this->waypoints_[this->currentWaypoint_]->getWorldPosition());