Index: code/branches/surfaceRace/data/levels/surfaceRace.oxw
===================================================================
--- code/branches/surfaceRace/data/levels/surfaceRace.oxw	(revision 9161)
+++ code/branches/surfaceRace/data/levels/surfaceRace.oxw	(revision 9162)
@@ -2,6 +2,6 @@
  name = "Surface Race"
  description = "in progress..."
- tags = "Race"
  screenshot = "emptylevel.png"
+ tags = "gametype"
 />
 
@@ -11,4 +11,5 @@
   include("templates/lodInformation.oxt")
   include("templates/spaceshipRace.oxt")
+  include("templates/pickupRepresentationTemplates.oxt")
  
 ?>
@@ -27,5 +28,5 @@
     ambientlight = "2.0, 2.0, 2.0"
     skybox       = "Orxonox/skyBoxClouds"
-    gravity      = "0,-70,0"
+    gravity      = "0,-90,0"
     negativeWorldRange = "-100000, -100000, -100000"
     positiveWorldRange = " 100000,  100000,  100000"
@@ -39,9 +40,9 @@
 <SpaceRaceManager>
  <checkpoints>	
-	<RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="100" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
+	<RaceCheckPoint name="checkpoint1" position="0,8050,-1000" direction="0,1,0" collisionType="static" scale="4" distance="120" checkpointindex="0" islast="false" nextcheckpoints="1,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
 	
-<!--
+<!-- 
 		<Model position="0,0,55" mesh="testcube.mesh" scale3D="110,20,20" />
 		<Model position="0,0,-55" mesh="testcube.mesh" scale3D="110,20,20" />
@@ -49,5 +50,4 @@
 		<Model position="-55,0,0" mesh="testcube.mesh" scale3D="20,20,110" />
 
-
 -->
 
@@ -60,5 +60,5 @@
 
 
-             <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
             <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
             <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
@@ -73,320 +73,180 @@
     </RaceCheckPoint>
 
-
-<RaceCheckPoint name="checkpoint2" position="0,8050, -2000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="100" checkpointindex="1" islast="false" nextcheckpoints="2,-1,-1">
+<RaceCheckPoint name="checkpoint2" position="1000,8050,-4000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="120" checkpointindex="1" islast="false" nextcheckpoints="2,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       
+
+           <collisionShapes>
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+	 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+
+<RaceCheckPoint name="checkpoint3" position="3000,8050,-4000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="120" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+	 
+        </collisionShapes>
+
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint4" position="4000,8050,-1000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="120" checkpointindex="3" islast="false" nextcheckpoints="4,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
         </attached>
         <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint3" position="0,8050,-3000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="100" checkpointindex="2" islast="false" nextcheckpoints="3,-1,-1">
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+	 
+        </collisionShapes>
+
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint5" position="4000,8050,0" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="120" checkpointindex="4" islast="false" nextcheckpoints="5,-1,-1">
         <attached>
             <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
         </attached>
         <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint4" position="1000,8050,-4000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="100" checkpointindex="3" islast="false" nextcheckpoints="4,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint5" position="2000,8050, -5000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="100" checkpointindex="4" islast="false" nextcheckpoints="5,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint6" position="3000,8050,-4000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="100" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint7" position="4000,8050,-3000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="100" checkpointindex="6" islast="false" nextcheckpoints="7,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-
-<RaceCheckPoint name="checkpoint8" position="4000,8050,-2000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="100" checkpointindex="7" islast="false" nextcheckpoints="8,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-           <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint9" position="4000,8050,-1000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="100" checkpointindex="8" islast="false" nextcheckpoints="9,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-           <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint10" position="4000,8050,0" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="100" checkpointindex="9" islast="false" nextcheckpoints="10,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-           <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint11" position="3000,8050,1000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="100" checkpointindex="10" islast="false" nextcheckpoints="11,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint12" position="2000,8050,2000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="100" checkpointindex="11" islast="false" nextcheckpoints="12,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint13" position="1000,8050,2000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="100" checkpointindex="12" islast="false" nextcheckpoints="13,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint14" position="0,8050,2000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="100" checkpointindex="13" islast="false" nextcheckpoints="14,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint15" position="-3000,8050,2000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="100" checkpointindex="14" islast="false" nextcheckpoints="15,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint16" position="-4000,8050,3000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="100" checkpointindex="15" islast="false" nextcheckpoints="16,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint17" position="-5000,8050,4000" direction="0,1,0" roll="0" collisionType="static" scale="4" distance="100" checkpointindex="16" islast="false" nextcheckpoints="17,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-<RaceCheckPoint name="checkpoint18" position="-4000,8050,5000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="100" checkpointindex="17" islast="false" nextcheckpoints="18,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-<RaceCheckPoint name="checkpoint19" position="-3000,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="100" checkpointindex="18" islast="false" nextcheckpoints="19,-1,-1">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-            <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
-    </RaceCheckPoint>
-
-
-
-<RaceCheckPoint name="checkpoint20" position="6000,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="100" checkpointindex="19" islast="true">
-        <attached>
-            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
-        </attached>
-        <collisionShapes>
-           <!--
-            	<BoxCollisionShape position="0,0,55"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="27.5,0,-27.5"      halfExtents="55, 10, 10" />
-		<BoxCollisionShape position="55,0,0"      halfExtents="10, 10, 55" />
-		<BoxCollisionShape position="-27.5,0,-27.5"      halfExtents="10, 10, 55" />
-            	<BoxCollisionShape position="-55,0,0"     halfExtents="55, 10, 10" />
-
-		--> 
-        </collisionShapes>
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+	 
+        </collisionShapes>
+
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint6" position="3000,8050,1000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="120" checkpointindex="5" islast="false" nextcheckpoints="6,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+	 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+
+<RaceCheckPoint name="checkpoint7" position="0,8050,2000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="120" checkpointindex="6" islast="false" nextcheckpoints="7,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+      <collisionShapes>
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+	 
+        </collisionShapes>
+
+    </RaceCheckPoint>
+
+
+
+<RaceCheckPoint name="checkpoint8" position="-4000,8050,3000" direction="0,1,0" roll="45" collisionType="static" scale="4" distance="120" checkpointindex="7" islast="false" nextcheckpoints="8,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+	 
+        </collisionShapes>
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint9" position="-4000,8050,5000" direction="0,1,0" roll="-45" collisionType="static" scale="4" distance="120" checkpointindex="8" islast="false" nextcheckpoints="9,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+         <collisionShapes>
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+	 
+        </collisionShapes>
+
+    </RaceCheckPoint>
+
+
+<RaceCheckPoint name="checkpoint10" position="-3000,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="120" checkpointindex="9" islast="false" nextcheckpoints="10,-1,-1">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+       <collisionShapes>
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+	 
+        </collisionShapes>
+
+    </RaceCheckPoint>
+
+
+
+<RaceCheckPoint name="checkpoint11" position="6000,8050,6000" direction="0,1,0" roll="90" collisionType="static" scale="4" distance="120" checkpointindex="10" islast="true">
+        <attached>
+            <Model mass="50" scale="50" mesh="raceCheckPoint.mesh" />
+        </attached>
+      <collisionShapes>
+
+
+            <BoxCollisionShape position="0,0,220"     halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="0,0,-220"      halfExtents="220, 40, 40" />
+            <BoxCollisionShape position="220,0,0"      halfExtents="40, 40, 220" />
+            <BoxCollisionShape position="-220,0,0"       halfExtents="40, 40, 220" />
+
+	 
+        </collisionShapes>
+
     </RaceCheckPoint>
 
@@ -416,4 +276,67 @@
 </StaticEntity>
 
+
+
+ <PickupSpawner position="0,8050,-200" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
+      <pickup>
+        <SpeedPickup template=smallspeedpickup />
+      </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="0,8050,-400" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
+      <pickup>
+        <SpeedPickup template=mediumspeedpickup />
+      </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="0,8050,-600" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
+      <pickup>
+        <SpeedPickup template=hugespeedpickup />
+      </pickup>
+    </PickupSpawner>
+
+
+
+ <!-- ---------------asteroid ellipse----------------- -->
+
+ <?lua
+    max = 20
+    for i = 0, max, 1
+    do
+	x=-12000
+	y=9000
+	z=-12000
+ 
+    ?>
+    <?lua
+    for k = 1, 15, 1
+    do
+    j = math.random()
+    ?>
+
+    <MovableEntity
+      position = "<?lua print(x + math.random() * 20000) ?>,<?lua print(y + math.random() * 5000) ?>,<?lua print(z + math.random() * 20000) ?>"
+      collisionType = "dynamic"
+      linearDamping = "0.5"
+      angularDamping = "0.5"
+      collisiondamage = "1"
+      enablecollisiondamage = "true"
+      scale="<?lua print(j * 5) ?>" >
+      <attached>
+        <Model position="0,0,0" scale="<?lua print(j * 10) ?>" mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
+      <?lua if k == 0 then ?><attached><!-- ---------asteroid fog----- -->
+            <ParticleEmitter position="0,0,0" source="Orxonox/Steam" />
+          </attached> <?lua end ?>
+        </Model>
+      </attached>
+      <collisionShapes>
+        <SphereCollisionShape radius="<?lua print(j * 80) ?>" />
+      </collisionShapes>
+    </MovableEntity>
+    <?lua
+    end
+    ?>
+    <?lua end ?>
+
   </Scene>
 </Level>