Index: /branches/presentation/src/lib/collision_detection/obb_tree.cc
===================================================================
--- /branches/presentation/src/lib/collision_detection/obb_tree.cc	(revision 9173)
+++ /branches/presentation/src/lib/collision_detection/obb_tree.cc	(revision 9174)
@@ -90,5 +90,5 @@
 void OBBTree::createBox(Vector start, Vector end)
 {
-  this->rootNode = new OBBTreeNode(*this, NULL, 11);
+  this->rootNode = new OBBTreeNode(*this, NULL, 1);
 
   this->rootNode->createBox(start, end);
Index: /branches/presentation/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- /branches/presentation/src/lib/collision_detection/obb_tree_node.cc	(revision 9173)
+++ /branches/presentation/src/lib/collision_detection/obb_tree_node.cc	(revision 9174)
@@ -57,4 +57,6 @@
   this->nodeRight = NULL;
   this->bvElement = NULL;
+
+  this->flag = false;
 
   this->triangleIndexList1 = NULL;
@@ -99,4 +101,5 @@
   this->nodeLeft = NULL;
   this->nodeRight = NULL;
+//   this->depth = 0;
 
   this->bvElement->center = (end - start) * 0.5f;
@@ -104,4 +107,14 @@
   this->bvElement->halfLength[1] = (end.y - start.y) * 0.5f;
   this->bvElement->halfLength[2] = (end.z - start.z) * 0.5f;
+
+  this->bvElement->axis[0] = Vector(1,0,0);
+  this->bvElement->axis[1] = Vector(0,1,0);
+  this->bvElement->axis[2] = Vector(0,0,1);
+
+
+  PRINTF(0)("half length %f, %f, %f", this->bvElement->halfLength[0], this->bvElement->halfLength[1], this->bvElement->halfLength[2]);
+  PRINTF(0)("center:\n");
+  this->bvElement->center.debug();
+  this->flag = true;
 }
 
@@ -577,4 +590,5 @@
 bool OBBTreeNode::overlapTest(OBB* boxA, OBB* boxB, WorldEntity* nodeA, WorldEntity* nodeB)
 {
+
   //HACK remove this again
   this->owner = nodeA;
@@ -693,4 +707,10 @@
 void OBBTreeNode::drawBV(int depth, int drawMode, const Vector& color,  bool top) const
 {
+
+  if( !this->flag)
+    return;
+
+  PRINTF(0)("bv box\n");
+
   /* this function can be used to draw the triangles and/or the points only  */
   if( 1 /*drawMode & DRAW_MODEL || drawMode & DRAW_ALL*/)
Index: /branches/presentation/src/lib/collision_detection/obb_tree_node.h
===================================================================
--- /branches/presentation/src/lib/collision_detection/obb_tree_node.h	(revision 9173)
+++ /branches/presentation/src/lib/collision_detection/obb_tree_node.h	(revision 9174)
@@ -80,4 +80,5 @@
 
     WorldEntity*        owner;
+    bool flag;
 };
 
Index: /branches/presentation/src/world_entities/weapons/aiming_system.cc
===================================================================
--- /branches/presentation/src/world_entities/weapons/aiming_system.cc	(revision 9173)
+++ /branches/presentation/src/world_entities/weapons/aiming_system.cc	(revision 9174)
@@ -63,10 +63,11 @@
   this->subscribeReaction(CREngine::CR_OBJECT_DAMAGE, CL_WORLD_ENTITY);
 
-  this->range = 1000.0f;
-  this->sideLength = 10.0f;
+  this->range = 10.0f;
+  this->sideLength = 2.0f;
 
   // new obb tree
   this->obbTree = new OBBTree();
   this->obbTree->createBox(Vector(0.0f, 0.0f, 0.0f), Vector(this->range, this->sideLength, this->sideLength));
+  this->setOBBTree(this->obbTree);
 }
 
@@ -137,19 +138,19 @@
 void AimingSystem::draw() const
 {
-//   WorldEntity::draw();
+  WorldEntity::draw();
 
-  glMatrixMode(GL_MODELVIEW);
-  glPushMatrix();
-
-  /* translate */
-  glTranslatef (this->getAbsCoor ().x,
-                this->getAbsCoor ().y,
-                this->getAbsCoor ().z);
-  Vector tmpRot = this->getAbsDir().getSpacialAxis();
-  glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
-
-  this->obbTree->drawBV(1, 1);
-
-  glPopMatrix();
+//   glMatrixMode(GL_MODELVIEW);
+//   glPushMatrix();
+//
+//   /* translate */
+//   glTranslatef (this->getAbsCoor ().x,
+//                 this->getAbsCoor ().y,
+//                 this->getAbsCoor ().z);
+//   Vector tmpRot = this->getAbsDir().getSpacialAxis();
+//   glRotatef (this->getAbsDir().getSpacialAxisAngle(), tmpRot.x, tmpRot.y, tmpRot.z );
+//
+//   this->obbTree->drawBV(0, 1);
+//
+//   glPopMatrix();
 
 }
Index: /branches/presentation/src/world_entities/world_entity.h
===================================================================
--- /branches/presentation/src/world_entities/world_entity.h	(revision 9173)
+++ /branches/presentation/src/world_entities/world_entity.h	(revision 9174)
@@ -74,4 +74,5 @@
 /** @returns a reference to the obb tree of this worldentity */
   inline BVTree* getOBBTree() const { return this->obbTree; };
+  inline void setOBBTree(OBBTree* tree) { if( this->obbTree != NULL) this->obbTree = (BVTree*)tree; }
   void drawBVTree(int depth, int drawMode) const;
   inline AABB* getModelAABB() const { return (this->aabbNode)?this->aabbNode->getAABB():NULL;}