Index: code/branches/newlevel2012/data/levels/includes/towerWeaponSettings.oxi
===================================================================
--- code/branches/newlevel2012/data/levels/includes/towerWeaponSettings.oxi	(revision 9174)
+++ code/branches/newlevel2012/data/levels/includes/towerWeaponSettings.oxi	(revision 9175)
@@ -20,7 +20,7 @@
         <Weapon>
           <attached>
-            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" />
-            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" />
-            <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
+            <Model mesh="LightningGun.mesh" pitch="100" roll="90" yaw="90" position="0,-1.3,0" scale=1/>
+            <Model mesh="LightningGun-s.mesh" pitch="78" roll="90" yaw="90" position="0.2,-1.3,0" scale=1 />
+            <Model mesh="hs-w01_reduced.mesh" roll="45" pitch="-76" yaw="-45" position="-1.5,1,0.3" scale=100 />
           </attached>
           <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
Index: code/branches/newlevel2012/data/levels/templates/tower.oxt
===================================================================
--- code/branches/newlevel2012/data/levels/templates/tower.oxt	(revision 9174)
+++ code/branches/newlevel2012/data/levels/templates/tower.oxt	(revision 9175)
@@ -1,27 +1,14 @@
 <Template name=tower>
-  <SpaceShip
+  <Tower
 
-   spawnparticlesource    = "Orxonox/fairytwirl"
-   spawnparticleduration  = 3
+ 
    explosionchunks        = 6
 
-   health            = 100
-   maxhealth         = 200
-   initialhealth     = 100
-
-   shieldhealth        = 30
-   initialshieldhealth = 30
-   maxshieldhealth     = 50
-   shieldabsorption    = 0.8
    reloadrate          = 1
    reloadwaittime      = 1
 
-   lift = 1;
-   stallSpeed = 220;
+   collisionType     = "dynamic"
+   team = 13
 
-   collisionType     = "dynamic"
-   mass              = 100
-   linearDamping     = 0.7
-   angularDamping    = 0.9999999
   >
 
@@ -33,7 +20,7 @@
 
 
-    <!--attached>
-      <Model position="0,0,0" scale=25 mesh="Tower_ME.mesh" />
-    </attached-->
+    <attached>
+      <Model position="0,0,0" scale=50 mesh="Tower_ME.mesh" />
+    </attached>
 
     <!--collisionShapes>
@@ -44,5 +31,5 @@
   include("../includes/towerWeaponSettings.oxi")
 ?>
-  </SpaceShip>
+  </Tower>
 </Template>
 
Index: code/branches/newlevel2012/data/levels/towerDefense.oxw
===================================================================
--- code/branches/newlevel2012/data/levels/towerDefense.oxw	(revision 9174)
+++ code/branches/newlevel2012/data/levels/towerDefense.oxw	(revision 9175)
@@ -51,4 +51,8 @@
 </Template-->
 
+
+
+
+
 <Level gametype = "TowerDefense">
   <templates>
@@ -80,8 +84,8 @@
           <waypoints>
 			  <!-- 1,3 10,3 10,11, 13,11 -->
-            <Model mesh="cube.mesh" scale=1 position="-700,-500, 100" />
-            <Model mesh="cube.mesh" scale=1 position=" 200,-500, 100" />
-            <Model mesh="cube.mesh" scale=1 position=" 200, 300, 100" />
-            <Model mesh="cube.mesh" scale=1 position=" 500, 300, 100" />
+            <Model mesh="cube.mesh" scale=20 position="-700,-500, 100" />
+            <Model mesh="cube.mesh" scale=20 position=" 200,-500, 100" />
+            <Model mesh="cube.mesh" scale=20 position=" 200, 300, 100" />
+            <Model mesh="cube.mesh" scale=20 position=" 500, 300, 100" />
           </waypoints>
         </WaypointController>
@@ -89,16 +93,8 @@
     </SpaceShip>
     
-	<!-- PlayField -->
-	<TowerDefenseCenterpoint 
-	name=towerdefensecenter 
-	width=16 
-	height=16
-	tileScale=100
-	towerTemplate=tower
-	position="0,0,0" 
-	direction="0,0,0" 
-	collistionType=static 
-	mass=100000>
-		 
+    
+    <!--invisible entity to attach towers to, since playfield is static and towers are dynamic-->
+    <StaticEntity position=0,0,0>
+ 
 		 <attached>
 			<Model position="-50,-50,0" mesh="Playfield_ME.mesh" scale=80 />
@@ -118,4 +114,21 @@
            <BoxCollisionShape position="0,0,0" halfExtents="400,400,100" />
         </collisionShapes>
+	</StaticEntity>
+    
+    
+    
+    
+	<!-- PlayField -->
+	<TowerDefenseCenterpoint 
+	name=towerdefensecenter 
+	width=16 
+	height=16
+	tileScale=100
+	towerTemplate=tower
+	position="0,0,0" 
+	direction="0,0,0" 
+	collisionType=dynamic 
+	mass=100000>
+		
     </TowerDefenseCenterpoint>
 
Index: code/branches/newlevel2012/src/modules/towerdefense/Tower.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/Tower.cc	(revision 9174)
+++ code/branches/newlevel2012/src/modules/towerdefense/Tower.cc	(revision 9175)
@@ -22,7 +22,12 @@
 	 Constructor. Registers and initializes the object.
 	 */
-    Tower::Tower(BaseObject* creator) : ControllableEntity(creator)
+    Tower::Tower(BaseObject* creator) : SpaceShip(creator)
     {
         RegisterObject(Tower);
+
+        this->setCollisionType(WorldEntity::Dynamic);
+
+
+
         /*
         this->size_ = 10.0f;
Index: code/branches/newlevel2012/src/modules/towerdefense/Tower.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/Tower.h	(revision 9174)
+++ code/branches/newlevel2012/src/modules/towerdefense/Tower.h	(revision 9175)
@@ -19,9 +19,9 @@
 
 #include "towerdefense/TowerDefensePrereqs.h"
-#include "worldentities/ControllableEntity.h"
+#include "worldentities/pawns/SpaceShip.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport Tower : public ControllableEntity
+    class _OrxonoxExport Tower : public SpaceShip
     {
 	public:
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9174)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefense.cc	(revision 9175)
@@ -118,6 +118,7 @@
 	void TowerDefense::setCenterpoint(TowerDefenseCenterpoint *centerpoint)
 	{
+		orxout() << "Centerpoint now setting..." << endl;
+		this->center_ = centerpoint;
 		orxout() << "Centerpoint now set..." << endl;
-		this->center_ = centerpoint;
 	}
 	
@@ -191,10 +192,9 @@
 		Tower* newTower = new Tower(this->center_);
 		newTower->addTemplate(this->center_->getTowerTemplate());
-		
-		this->center_->attach(newTower);
-		
+
+		//this->center_->attach(newTower);
+
 		newTower->setPosition((x-8) * tileScale, (y-8) * tileScale, 100);
 		newTower->setGame(this);
-		
 		//TODO: Save the Tower in a Vector. I would suggest std::vector< std::vector<Tower*> > towers_ as a protected member variable;
 		
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9174)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.cc	(revision 9175)
@@ -47,5 +47,5 @@
         Constructor. Registers and initializes the object and checks whether the gametype is actually TowerDefense.
     */
-    TowerDefenseCenterpoint::TowerDefenseCenterpoint(BaseObject* creator) : StaticEntity(creator)
+    TowerDefenseCenterpoint::TowerDefenseCenterpoint(BaseObject* creator) : MobileEntity(creator)
     {
         RegisterObject(TowerDefenseCenterpoint);
@@ -55,5 +55,8 @@
         this->towerTemplate_ = "";
         
+        //this->setCollisionType(Static);
+
 		this->checkGametype();
+
     }
 
Index: code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h
===================================================================
--- code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9174)
+++ code/branches/newlevel2012/src/modules/towerdefense/TowerDefenseCenterpoint.h	(revision 9175)
@@ -42,9 +42,9 @@
 #include <util/Math.h>
 
-#include "worldentities/StaticEntity.h"
+#include "worldentities/MobileEntity.h"
 
 namespace orxonox
 {
-    class _TowerDefenseExport TowerDefenseCenterpoint : public StaticEntity
+    class _TowerDefenseExport TowerDefenseCenterpoint : public MobileEntity
     {
         public:
Index: code/branches/newlevel2012/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/branches/newlevel2012/src/orxonox/worldentities/WorldEntity.cc	(revision 9174)
+++ code/branches/newlevel2012/src/orxonox/worldentities/WorldEntity.cc	(revision 9175)
@@ -379,5 +379,4 @@
         if (!object->notifyBeingAttached(this))
             return;
-
         this->attachNode(object->node_);
         this->children_.insert(object);