Index: code/branches/pickup2012/data/levels/includes/pickups.oxi
===================================================================
--- code/branches/pickup2012/data/levels/includes/pickups.oxi	(revision 9181)
+++ code/branches/pickup2012/data/levels/includes/pickups.oxi	(revision 9184)
@@ -213,10 +213,33 @@
 
 <PickupRepresentation
-    pickupName = "DamageBoost Pickup"
-    pickupDescription = "Multiplies the ship damage."
-    spawnerTemplate = "damageboostpickupRepresentation"
->
-    <pickup>
-        <DamageBoostPickup template=damageboostpickup />
+    pickupName = "Small DamageBoost Pickup"
+    pickupDescription = "Multiplies the ship damage with 2."
+    spawnerTemplate = "smalldamageboostpickupRepresentation"
+    inventoryRepresentation = "SmallDamageBoost"
+>
+    <pickup>
+        <DamageBoostPickup template=smalldamageboostpickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    pickupName = "Medium DamageBoost Pickup"
+    pickupDescription = "Multiplies the ship damage with 5."
+    spawnerTemplate = "mediumdamageboostpickupRepresentation"
+    inventoryRepresentation = "MediumDamageBoost"
+>
+    <pickup>
+        <DamageBoostPickup template=mediumdamageboostpickup />
+    </pickup>
+</PickupRepresentation>
+
+<PickupRepresentation
+    pickupName = "Large DamageBoost Pickup"
+    pickupDescription = "Multiplies the ship damage with 7."
+    spawnerTemplate = "largedamageboostpickupRepresentation"
+    inventoryRepresentation = "LargeDamageBoost"
+>
+    <pickup>
+        <DamageBoostPickup template=largedamageboostpickup />
     </pickup>
 </PickupRepresentation>
Index: code/branches/pickup2012/data/levels/pickups.oxw
===================================================================
--- code/branches/pickup2012/data/levels/pickups.oxw	(revision 9181)
+++ code/branches/pickup2012/data/levels/pickups.oxw	(revision 9184)
@@ -173,5 +173,17 @@
     <PickupSpawner position="-50,75,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
       <pickup>
-        <DamageBoostPickup template=damageboostpickup />
+        <DamageBoostPickup template=smalldamageboostpickup />
+      </pickup>
+    </PickupSpawner>
+    
+      <PickupSpawner position="-50,100,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+      <pickup>
+        <DamageBoostPickup template=mediumdamageboostpickup />
+      </pickup>
+    </PickupSpawner>
+    
+      <PickupSpawner position="-50,125,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+      <pickup>
+        <DamageBoostPickup template=largedamageboostpickup />
       </pickup>
     </PickupSpawner>
Index: code/branches/pickup2012/data/levels/templates/pickupRepresentationTemplates.oxt
===================================================================
--- code/branches/pickup2012/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 9181)
+++ code/branches/pickup2012/data/levels/templates/pickupRepresentationTemplates.oxt	(revision 9184)
@@ -218,5 +218,5 @@
 <!-- DamageBoost pickups -->
 
-<Template name=damageboostpickupRepresentation>
+<Template name=smalldamageboostpickupRepresentation>
     <PickupRepresentation>
         <spawner-representation>
@@ -225,21 +225,72 @@
                     <Billboard position="0,0,0" colour="0.10,0.20,0.30" material="Sphere2" scale=0.1 >
                         <attached>
-                            <Billboard position="0,0,0" colour="0.30,0.30,0.30" material="damage" scale=0.7 />
-                        </attached>
-                    </Billboard>
-                </attached>
-            </StaticEntity>
-        </spawner-representation>
-    </PickupRepresentation>
-</Template>
-
-<Template name=damageboostpickup>
+                            <Billboard position="0,0,0" colour="0.30,0.30,0.30" material="damageSmall" scale=0.7 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=smalldamageboostpickup>
   <DamageBoostPickup
     duration = 10.0
-    damageMultiplier = 20.0
-    activationType = "immediate"
-    durationType = "continuous"
-  />
-</Template>
+    damageMultiplier = 2.0
+    activationType = "immediate"
+    durationType = "continuous"
+  />
+</Template>
+
+<Template name=mediumdamageboostpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.10,0.20,0.30" material="Sphere2" scale=0.1 >
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.30,0.30,0.30" material="damageMedium" scale=0.7 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=mediumdamageboostpickup>
+  <DamageBoostPickup
+    duration = 10.0
+    damageMultiplier = 5.0
+    activationType = "immediate"
+    durationType = "continuous"
+  />
+</Template>
+
+<Template name=largedamageboostpickupRepresentation>
+    <PickupRepresentation>
+        <spawner-representation>
+            <StaticEntity>
+                <attached>
+                    <Billboard position="0,0,0" colour="0.10,0.20,0.30" material="Sphere2" scale=0.1 >
+                        <attached>
+                            <Billboard position="0,0,0" colour="0.30,0.30,0.30" material="damageLarge" scale=0.7 />
+                        </attached>
+                    </Billboard>
+                </attached>
+            </StaticEntity>
+        </spawner-representation>
+    </PickupRepresentation>
+</Template>
+
+<Template name=largedamageboostpickup>
+  <DamageBoostPickup
+    duration = 10.0
+    damageMultiplier = 7.0
+    activationType = "immediate"
+    durationType = "continuous"
+  />
+</Template>
+
 
 <!-- Speed pickups -->
Index: code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.cc
===================================================================
--- code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9181)
+++ code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.cc	(revision 9184)
@@ -70,6 +70,6 @@
     void DamageBoostPickup::initialize(void)
     {
-        this->duration_ = 0.0f;
-        this->damageMultiplier_ = 1.0f; //The default damage multiplier.
+    	this->duration_ = 0.0f;
+    	this->damageMultiplier_ = 1.0f; //The default damage multiplier.
         //Defines who is allowed to pick up the pickup.
         this->addTarget(ClassIdentifier<SpaceShip>::getIdentifier());
@@ -89,5 +89,5 @@
 
         stream.clear();
-        stream << this->damageMultiplier_;
+        stream << this->getDamageMultiplier();
         std::string type2 = "damageMultiplier";
         std::string val2 = stream.str();
@@ -116,12 +116,11 @@
         {
             this->damageMultiplier_ = damageMultiplier;
-            orxout() << "Set Damage " << damageMultiplier << endl;
-        }
-    }
-
-
-    /**
-    @brief
-        Is called when the pickup has transited from used to unused or the other way around.
+        }
+    }
+
+
+    /**
+    @brief
+        Is called when the pickup has transisted from used to unused or the other way around.
     */
     void DamageBoostPickup::changedUsed(void)
@@ -151,7 +150,7 @@
 
             // Saves the old default Damage that is needed to restore the original damage
-            this->olddamageMultiplier_ = ship->getDamageMultiplier();
-            // Sets the new Damage with the damage multiplier.
-            ship->setDamageMultiplier( this->damageMultiplier_ );
+            this->olddamageMultiplier_ = 1.0f;
+            // Sets the new Damage with the damage multiplier
+            ship->setDamageMultiplier(this->getDamageMultiplier());
         }
         else
@@ -206,6 +205,5 @@
         DamageBoostPickup* pickup = dynamic_cast<DamageBoostPickup*>(item);
         pickup->setDuration(this->getDuration());
-        
-
+        pickup->setDamageMultiplier(this->getDamageMultiplier());
         pickup->initializeIdentifier();
     }
Index: code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.h
===================================================================
--- code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.h	(revision 9181)
+++ code/branches/pickup2012/src/modules/pickup/items/DamageBoostPickup.h	(revision 9184)
@@ -63,4 +63,5 @@
             inline float getDuration(void) const
                 { return this->duration_; }
+
             inline void setDuration( float duration );
 
@@ -79,5 +80,5 @@
         protected:
             void initializeIdentifier(void); //!< Initializes the PickupIdentifier of this pickup.
-            void setDamageMultiplier(float damageMultiplier);
+            void setDamageMultiplier(float damageMultiplier); //!< Sets the DamageMultiplier according to the XML.
 
 
Index: code/branches/pickup2012/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/pickup2012/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9181)
+++ code/branches/pickup2012/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9184)
@@ -231,8 +231,8 @@
     void Pawn::damage(float damage, float healthdamage, float shielddamage, Pawn* originator)
     {
-        // apply multiplier
+        //Applies multiplier given by the DamageBoost Pickup.
     	Pawn *test = dynamic_cast<Pawn *>(originator);
     	if( test != NULL )
-    	{ orxout() << "Test " << damage << endl;
+    	{
     	  damage *= originator->getDamageMultiplier();
     	}
Index: code/branches/pickup2012/src/orxonox/worldentities/pawns/Pawn.h
===================================================================
--- code/branches/pickup2012/src/orxonox/worldentities/pawns/Pawn.h	(revision 9181)
+++ code/branches/pickup2012/src/orxonox/worldentities/pawns/Pawn.h	(revision 9184)
@@ -162,5 +162,5 @@
                 { return this->numexplosionchunks_; }
 
-            // not that beautiful yet
+            // These are used with the Damage Boost Pickup to use the damage multiplier.
             inline void setDamageMultiplier(float multiplier)
                 { this->damageMultiplier_ = multiplier; }
@@ -215,6 +215,6 @@
             float reloadWaitCountdown_;
 
-            // modifiers
-            float damageMultiplier_;
+            // Modifier
+            float damageMultiplier_; // Used by the Damage Boost Pickup.
 
             WeakPtr<Pawn> lastHitOriginator_;